## org.eclipse.emf.codegen.ecore.genmodel.handler
Class GenerateHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.emf.codegen.ecore.genmodel.handler.GenerateHandler

All Implemented Interfaces:
  IHandler, IHandler2

    public class GenerateHandler

extends AbstractHandler

PROVISIONAL This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Nested Class Summary
`protected static class` `GenerateHandler.GenModelGenerationDialog`
`protected static class` `GenerateHandler.GenModelSelectionDialog`

Field Summary
`protected Point` `dialogLocation`
`protected Point` `dialogSize`

Constructor Summary
`GenerateHandler()`

Method Summary
`java.lang.Object` `execute(ExecutionEvent event)`
`protected static java.util.List<URI>` `getGenModelURIs(IProgressMonitor progressMonitor, java.lang.Object[] objects)`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dialogSize

    protected Point dialogSize

### dialogLocation

    protected Point dialogLocation

Constructor Detail

### GenerateHandler

    public GenerateHandler()

Method Detail

### getGenModelURIs

    protected static java.util.List<URI> getGenModelURIs(IProgressMonitor progressMonitor,
                                                         java.lang.Object[] objects)

### execute

    public java.lang.Object execute(ExecutionEvent event)
                             throws ExecutionException

  Throws:
    `ExecutionException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.